from collections import namedtuple

Street = namedtuple('Street', ['u', 'v', 'distance', 'consumption'])
Node = namedtuple('Node', ['label', 'charging_coeff'], defaults=(None, None))


def node_convert(n: Node) -> dict:
    return {'label': n.label, 'c': n.charging_coeff}


def street_convert(s: Street) -> dict:
    return {'weight': s.distance, 'c': s.consumption}
