import networkx as nx

from evrouting.graph_tools import Node, Street, node_convert, street_convert

# List of configs
config_list = ['edge_case']

edge_case = {
    'b_0': 0,
    'b_t': 0,
    'U': 4,
    's': 0,
    't': 2,
    'nodes': [
        Node('s', charging_coeff=1),
        Node('a', charging_coeff=2),
        Node('t'),
    ],
    'edges': [
        Street(0, 1, distance=1, consumption=1),
        Street(0, 2, distance=1, consumption=4),
        Street(1, 2, distance=1, consumption=1),
    ]
}


def get_graph(config):
    G = nx.Graph()

    for node_id, node in enumerate(config['nodes']):
        G.add_node(node_id, **node_convert(node))

    for edge in config['edges']:
        G.add_edge(edge.u, edge.v, **street_convert(edge))

    return G
